#Fisher's exact test to compute enrichment
#1. add the annotation from the .mo file to the annotations file
#2. #make contingency table from .mo file
#3. compute enrichment

#1.

class <- read.csv("kegg_category_Feb2017.csv", stringsAsFactors=F, sep=",")
head(class)

annotation$detailed_compound_class <- "-"
for (i in 1:nrow(annotation)) {
  id <- which(class$kegg_id == annotation$kegg_id[i]) 
  if (length(id) > 0) {
    annotation$detailed_compound_class[i] <- class$old_kegg_class[id]
  }
}

#and make contingency table, not needed though
kegg_counts <- as.data.frame(table(class$old_kegg_class))
names(kegg_counts) <- c("group", "frequency")